Subject: Re: bug#13723: 24.2.93; Fringe icons corrupt buffer separator line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Feb 2013 21:14:04 +0200

> From: Jan Djärv <[email-masked]>
> Date: Sat, 16 Feb 2013 18:15:36 +0100
> Cc: Eli Zaretskii <[email-masked]>,
>  [email-masked],
>  David Engster <[email-masked]>
> 
> 15 feb 2013 kl. 20:30 skrev Glenn Morris <[email-masked]>:
> 
> > Eli Zaretskii wrote:
> > 
> >> Unfortunately, I cannot reproduce this here, neither with stock Emacs
> >> 24.2 nor with the current trunk.  I get a perfectly drawn border.
> > 
> > I see the issue in emacs-24 and trunk. x86_64 GNU/Linux, Lucid toolkit.
> > 
> 
> I see the issue on trunk, built for NS.

Does the change below solve the problem on GNU/Linux and NS?

=== modified file 'src/xdisp.c'
--- src/xdisp.c	2013-02-15 12:26:42 +0000
+++ src/xdisp.c	2013-02-16 19:11:29 +0000
@@ -28257,8 +28257,8 @@ x_draw_vertical_border (struct window *w
 
       FRAME_RIF (f)->draw_vertical_window_border (w, x1, y0, y1);
     }
-  else if (!WINDOW_LEFTMOST_P (w)
-	   && !WINDOW_HAS_VERTICAL_SCROLL_BAR_ON_LEFT (w))
+  if (!WINDOW_LEFTMOST_P (w)
+      && !WINDOW_HAS_VERTICAL_SCROLL_BAR_ON_LEFT (w))
     {
       int x0, x1, y0, y1;